Subject: Re: [bug#41556] [PATCH] gnu: aegis: Update homepage link and fix build failure

From: Josh Marshall <[email-masked]>
Date: Wed, 27 May 2020 08:32:59 -0400

Gah!  No matter how many times I tell my editor to use spaces it inserts
tabs.  I'm dumping neovim.

I don't use it, just fixing up something I saw.

On Wed, May 27, 2020, 07:34 Tobias Geerinckx-Rice <[email-masked]> wrote:

> Josh,
>
> Josh Marshall 写道：
> >     * gnu/packages/version-control.scm (aegis):
>   ^^^^
>
> ‘git log’ adds 4 leading spaces to commit message bodies but you
> don't need to add (or, I presume, copy/paste :-) them yourself.
>
> > Update homepage link and fix build failure
>
> Thanks!  I've split these two unrelated changes into two commits.
>
> SF project pages aren't goot home pages but this project looks
> very dead indeed.  Are you fixing this because you use it?
>
> > @@ -1885,7 +1885,10 @@ accessed and migrated on modern
> > systems.")
> >         ("ed" ,ed)))
> >      (arguments
> >       `(#:configure-flags (list "--with-no-aegis-configured"
> > -
> > "--sharedstatedir=/var/com/aegis")
> > +
> > "--sharedstatedir=/var/com/aegis"
> > +                            ;; Uses the old 'throw()' specifier
> > with 'new'
> > +                            ;; which changed in C++11.
> > +                            "CXXFLAGS=-std=c++03")
>     ^^^^…
>
> It's worth running ‘guix lint’ even after trivial changes: these
> are tabs & we're a spaces family.  Changed and pushed as
> 812dad08764af5ae4d80394732dcc1481742db3a et al.
>
> Kind regards,
>
> T G-R
>